﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="_972717._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <link href="StyleSheetMaster.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>    
        <asp:ScriptManager ID="ScriptManagerMain" runat="server">
        </asp:ScriptManager>        
        <table>
            <tr>
                <td class="title" colspan="2">Find Customer</td>
            </tr>
            <tr>
                <td colspan="2">Enter a portion of the customer's name and hit the 'Find' button.</td>
            </tr>
            <tr>
                <td colspan="2">Customer Name:&nbsp;
                    <asp:TextBox ID="TextBoxCustomer" runat="server" CssClass="inputBox"></asp:TextBox>
                    &nbsp;<asp:Button ID="Button1" runat="server" Text="Find" CssClass="button" />
                </td>
            </tr>            
            <tr>
                <td class="title" style="font-size: 10pt" valign="bottom">
                    Search results ... 
                </td>                    
            </tr>                                
        </table>                    
        <asp:UpdatePanel ID="UpdatePanelData" runat="server">
            <ContentTemplate>
                <asp:GridView ID="GridView1" runat="server" AllowPaging="True" PageSize="5" 
                    AutoGenerateColumns="False" CellPadding="4" DataKeyNames="OrderID" 
                    DataSourceID="SqlDsNorthwind" ForeColor="#333333" GridLines="None" 
                    onpageindexchanged="GridView1_PageIndexChanged">
                    <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                    <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                    <Columns>
                        <asp:BoundField DataField="OrderID" HeaderText="Order ID" InsertVisible="False" 
                            ReadOnly="True" SortExpression="OrderID" />
                        <asp:BoundField DataField="ContactName" HeaderText="Name" 
                            SortExpression="ContactName" />
                        <asp:BoundField DataField="CompanyName" HeaderText="Company" 
                            SortExpression="CompanyName" />
                        <asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" />
                        <asp:BoundField DataField="OrderDate" HeaderText="Ordered" 
                            SortExpression="OrderDate" DataFormatString="{0:d}" />
                        <asp:BoundField DataField="RequiredDate" HeaderText="Required" 
                            SortExpression="RequiredDate" DataFormatString="{0:d}" />
                        <asp:BoundField DataField="ShippedDate" HeaderText="Shipped" 
                            SortExpression="ShippedDate" DataFormatString="{0:d}" />
                        <asp:BoundField DataField="ShipAddress" HeaderText="Ship Address" 
                            SortExpression="ShipAddress" />
                        <asp:BoundField DataField="ShipCity" HeaderText="Ship City" 
                            SortExpression="ShipCity" />
                        <asp:BoundField DataField="ShipVia" HeaderText="Shipper" 
                            SortExpression="ShipVia" />
                        <asp:BoundField DataField="Freight" HeaderText="Freight" 
                            SortExpression="Freight" DataFormatString="{0:c}" />
                    </Columns>
                    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                    <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                    <EditRowStyle BackColor="#999999" />
                    <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                </asp:GridView>
                <asp:SqlDataSource ID="SqlDsNorthwind" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:northwindConnectionString %>" 
                    
                    SelectCommand="SELECT Customers.ContactName, Customers.CompanyName, Customers.Phone, Orders.OrderDate, Orders.RequiredDate, Orders.ShippedDate, Orders.ShipAddress, Orders.ShipCity, Orders.ShipVia, Orders.Freight, Orders.OrderID FROM Orders INNER JOIN Customers ON Orders.CustomerID = Customers.CustomerID WHERE (Customers.ContactName LIKE @cust + '%') ORDER BY Customers.ContactName, Orders.OrderDate">
                    <SelectParameters>
                        <asp:FormParameter DefaultValue="" FormField="TextBoxCustomer" Name="cust" />
                    </SelectParameters>
                </asp:SqlDataSource>
            </ContentTemplate>        
        </asp:UpdatePanel>
        
        <asp:UpdateProgress ID="UpdateProgressResults" runat="server" 
            AssociatedUpdatePanelID="UpdatePanelData" DisplayAfter="200" DynamicLayout="true">
            <ProgressTemplate>
                <div class="title" style="text-align: center; font-size: 10pt;" >
                    <img src="images/rotation.gif" alt="waiting" width="32" height="32" />                    
                    Please wait ... 
                </div> 
            </ProgressTemplate>
        </asp:UpdateProgress>
                        
    </div>
    </form>
</body>
</html>
